using Microsoft.Dynamics.MorphX;
using Microsoft.Dynamics.AX.Framework.Tools.ModelManagement;

protected void Submit_Click(object sender, EventArgs e)
{
	string certPath = @"c:\Licenses\MyCertPrivate.pfx";
	string licensePath = @"c:\Licenses\" + Customer.Text + "-license.txt";
	string licenseCodeNameInAot = "MyLicenseCode";
	string certificatePassword = "password"; //TODO: Move to secure storage
	AXUtilContext context = new AXUtilContext();
	AXUtilConfiguration config = new AXUtilConfiguration();
	
	LicenseInfo licenseInfo = new LicenseInfo(licensePath, certPath,
		licenseCodeNameInAot, Customer.Text, Serial.Text,
		null, certificatePassword);
	
	config.LicenseInfo = licenseInfo;
	AXUtil AXUtil = new AXUtil(context, config);
	if (AXUtil.GenerateLicense())
	{
		Response.AddHeader("Content-Disposition",
						   "attachment;filename=license.txt");
		Response.TransmitFile(licensePath);
		Response.Flush();
		Response.End();
	}
}		