﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Contoso
{
    using System.Data;
    using System.Data.OleDb;

    public class ExcelReader
    {
        static public void ReadDataFromExcel(string filename)
        {
            string connectionString;
            OleDbDataAdapter adapter;

            connectionString = @"Provider=Microsoft.ACE.OLEDB.12.0;"
            + "Data Source=" + filename + ";"
            + "Extended Properties='Excel 12.0 Xml;" 
            + "HDR=YES'"; // Assume first row contains column title
            
            adapter = new OleDbDataAdapter("SELECT * FROM [sheet1$]", connectionString);

            DataSet ds = new DataSet();

            // Get the data from the spreadsheet:
            adapter.Fill(ds, "Customers");

            DataTable table = ds.Tables["Customers"];

            var customers = new ReadFromExcel.CustomersFromExcel();

            foreach (DataRow row in table.Rows)
            {
                string name = row["Name"] as string;
                DateTime d = (DateTime)row["Date"];

                customers.Name = name;
                customers.Date = d;

                customers.Write();
            }
        }
    }
}
