// instantiate and initialize parameters
// parameter: call context
MyServiceGroup.CallContext cc = new MyServiceGroup.CallContext();
cc.Company = "CEU";

// parameter: query criteria
MyServiceGroup.QueryCriteria qc = new MyServiceGroup.QueryCriteria();
MyServiceGroup.CriteriaElement[] qe = { new MyServiceGroup.CriteriaElement() };
qe[0].DataSourceName = "CustTable";
qe[0].FieldName = "AccountNum";
qe[0].Operator = MyServiceGroup.Operator.GreaterOrEqual;
qe[0].Value1 = "4000";
qc.CriteriaElement = qe;

// instantiate a service proxy
MyServiceGroup.CustomerServiceClient customerService =
new MyServiceGroup.CustomerServiceClient();
// consume the service operation find()
MyServiceGroup.AxdCustomer customer = customerService.find(cc, qc);

// error handling (additionally, exceptions need to be handled properly)
if (null == customer)
{
// error handling...
}

// evaluate response
MyServiceGroup.AxdEntity_CustTable[] custTables = customer.CustTable;
if (null == custTables || 0 == custTables.Length)
{
// handle empty response...
}
foreach (MyServiceGroup.AxdEntity_CustTable custTable in custTables)
{
custTable...
}